{#
  Component Name: Filter
  Attributs:
  - current_category (Entity)
#}

{% if current_category is defined and current_category %}
	<div class="filter">
		<div class="filter__list">
			{% for c in categories %}
				<div class="filter__item">
					{% set button_type = (
          current_category == null ? 'secondary' : (
            category.name == c.name ? 'primary' : 'secondary'
          )) %}
					<a href="{{ path('blog_category', {slug: c.slug}) }}" class="button button__{{ button_type }} button--small">
						{{ c.name }}
					</a>
				</div>
			{% endfor %}
		</div>
	</div>
{% endif %}
